CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Date Class Reference

## Public Member Functions
| Date ($BeginDate, $EndDate=NULL, $Precision=NULL, $DebugLevel=0)
| Formatted ()
| PFormatted ($Format, $ReturnEndDate=FALSE)
| FormattedForSql ($ReturnEndDate=FALSE)
| FormattedISO8601 ()
| UseUTC ()
| UseLocalTime ()
| BeginDate ()
| EndDate ()
| Precision ($NewPrecision=NULL)
| SqlCondition ($FieldName, $EndFieldName=NULL, $Operator="=")
| FormattedPrecision ($Precision=NULL)

## Public Attributes
| $BeginDay
| $BeginMonth
| $BeginYear
| $EndDay
| $EndMonth
| $EndYear
| $Precision
| $DebugLevel

## Detailed Description

Definition at line 18 of file Axis--Date.php.

## Member Function Documentation

Date::BeginDate | ( |  | ) |

Definition at line 491 of file Axis--Date.php.

References DATEPRE_BEGINMONTH, DATEPRE_BEGINYEAR, and Precision().

Date::Date | ( |  | $BeginDate,
|  |  | $EndDate = `NULL`,
|  |  | $Precision = `NULL`,
|  |  | $DebugLevel = `0`
| ) |  |

Definition at line 23 of file Axis--Date.php.

References $BeginDay, $BeginMonth, $BeginYear, $DebugLevel, $EndDay, $EndMonth, $EndYear, $Precision, DATEPRE_BEGINDAY, DATEPRE_BEGINMONTH, DATEPRE_BEGINYEAR, DATEPRE_CONTINUOUS, DATEPRE_COPYRIGHT, DATEPRE_ENDDAY, DATEPRE_ENDMONTH, DATEPRE_ENDYEAR, DATEPRE_INFERRED, FormattedPrecision(), and Precision().

Date::EndDate | ( |  | ) |

Definition at line 523 of file Axis--Date.php.

References DATEPRE_ENDMONTH, DATEPRE_ENDYEAR, and Precision().

Date::Formatted | ( |  | ) |

Definition at line 326 of file Axis--Date.php.

References $BeginYear, $EndYear, DATEPRE_BEGINDAY, DATEPRE_BEGINMONTH, DATEPRE_BEGINYEAR, DATEPRE_CONTINUOUS, DATEPRE_COPYRIGHT, DATEPRE_ENDDAY, DATEPRE_ENDMONTH, DATEPRE_ENDYEAR, DATEPRE_INFERRED, DATEPRE_SEPARATE, and Precision().

Date::FormattedForSql | ( |  | $ReturnEndDate = `FALSE` | ) |

Definition at line 429 of file Axis--Date.php.

References PFormatted().

Date::FormattedISO8601 | ( |  | ) |

Definition at line 435 of file Axis--Date.php.

References DATEPRE_BEGINDAY, DATEPRE_BEGINMONTH, DATEPRE_BEGINYEAR, and Precision().

Date::FormattedPrecision | ( |  | $Precision = `NULL` | ) |

Definition at line 691 of file Axis--Date.php.

References $Precision, DATEPRE_BEGINDAY, DATEPRE_BEGINDECADE, DATEPRE_BEGINMONTH, DATEPRE_BEGINYEAR, DATEPRE_CONTINUOUS, DATEPRE_COPYRIGHT, DATEPRE_ENDDAY, DATEPRE_ENDDECADE, DATEPRE_ENDMONTH, DATEPRE_ENDYEAR, DATEPRE_INFERRED, and DATEPRE_SEPARATE.

Referenced by Date().

Here is the caller graph for this function:

Date::PFormatted | ( |  | $Format,
|  |  | $ReturnEndDate = `FALSE`
| ) |  |

Definition at line 411 of file Axis--Date.php.

References DATEPRE_BEGINDAY, DATEPRE_BEGINMONTH, DATEPRE_BEGINYEAR, DATEPRE_ENDDAY, DATEPRE_ENDMONTH, DATEPRE_ENDYEAR, and Precision().

Referenced by FormattedForSql().

Here is the caller graph for this function:

Date::Precision | ( |  | $NewPrecision = `NULL` | ) |

Definition at line 557 of file Axis--Date.php.

References $Precision.

Referenced by BeginDate(), Date(), EndDate(), Formatted(), FormattedISO8601(), PFormatted(), and SqlCondition().

Here is the caller graph for this function:

Date::SqlCondition | ( |  | $FieldName,
|  |  | $EndFieldName = `NULL`,
|  |  | $Operator = `"="`
| ) |  |

Definition at line 564 of file Axis--Date.php.

References $BeginDay, $BeginMonth, $BeginYear, $EndDay, $EndMonth, $EndYear, DATEPRE_BEGINDAY, DATEPRE_BEGINMONTH, DATEPRE_ENDDAY, DATEPRE_ENDMONTH, DATEPRE_ENDYEAR, and Precision().

Date::UseLocalTime | ( |  | ) |

Definition at line 477 of file Axis--Date.php.

Date::UseUTC | ( |  | ) |

Definition at line 463 of file Axis--Date.php.

## Member Data Documentation

Date::$BeginDay

Definition at line 714 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$BeginMonth

Definition at line 715 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$BeginYear

Definition at line 716 of file Axis--Date.php.

Referenced by Date(), Formatted(), and SqlCondition().

Date::$DebugLevel

Definition at line 721 of file Axis--Date.php.

Referenced by Date().

Date::$EndDay

Definition at line 717 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$EndMonth

Definition at line 718 of file Axis--Date.php.

Referenced by Date(), and SqlCondition().

Date::$EndYear

Definition at line 719 of file Axis--Date.php.

Referenced by Date(), Formatted(), and SqlCondition().

Date::$Precision

Definition at line 720 of file Axis--Date.php.

Referenced by Date(), FormattedPrecision(), and Precision().

The documentation for this class was generated from the following file:

- lib/AxisPHP/Axis--Date.php